import React from 'react'
import Footer from '../components/footer/Footer'
import LineChartComponent from '../components/charts/LineChartComponent'
import AreaChartComponent from '../components/charts/AreaChartComponent'
import ColumnChartComponent from '../components/charts/ColumnChartComponent'
import BarChartComponent from '../components/charts/BarChartComponent'
import MixedChartComponent from '../components/charts/MixedChartComponent'
import ScatterChartComponent from '../components/charts/ScatterChartComponent'
import BubbleChartComponent from '../components/charts/BubbleChartComponent'
import MultipleYAxesScatterChartComponent from '../components/charts/MultipleYAxesScatterChartComponent'
import ScatterChartWithCells from '../components/charts/ScatterChartWithCells'
import TwoLevelPieChart from '../components/charts/TwoLevelPieChart'
import TwoSimplePieChart from '../components/charts/TwoSimplePieChart'
import SimpleRadarChart from '../components/charts/SimpleRadarChart'
import SimpleRadialBarChart from '../components/charts/SimpleRadialBarChart'
import SimpleTreemap from '../components/charts/SimpleTreemapChart'
import CustomContentOfTooltip from '../components/charts/CustomContentOfTooltip'
import LegendEffectChartComponent from '../components/charts/LegendEffectChartComponent'
import Head from 'next/head'
import DashboardBreadcrumb2 from '@/components/breadcrumb/DashboardBreadcrumb2'

const ChartsMainContent = () => {
  return (
    <>
    <Head>
      <title>Digiboard - Charts</title>
      <meta name="description" content="Generated by create next app" />
      <meta name="viewport" content="width=device-width, initial-scale=1" />
      <link rel="icon" href="assets/favicon.png" />
    </Head>
    <div className="main-content">
        <DashboardBreadcrumb2 title={'Charts'}/>
        <div className="row">
            <div className="col-lg-6">
                <div className="panel chart-panel-1">
                    <div className="panel-header">
                        <h5>Line chart</h5>
                    </div>
                    <div className="panel-body">
                        <div id="lineChart">
                            <LineChartComponent/>
                        </div>
                    </div>
                </div>
            </div>
            <div className="col-lg-6">
                <div className="panel chart-panel-1">
                    <div className="panel-header">
                        <h5>Area chart</h5>
                    </div>
                    <div className="panel-body">
                        <div id="areaChart">
                            <AreaChartComponent/>
                        </div>
                    </div>
                </div>
            </div>
            <div className="col-lg-6">
                <div className="panel chart-panel-1">
                    <div className="panel-header">
                        <h5>Column chart</h5>
                    </div>
                    <div className="panel-body">
                        <div id="columnChart">
                            <ColumnChartComponent/>
                        </div>
                    </div>
                </div>
            </div>
            <div className="col-lg-6">
                <div className="panel chart-panel-1">
                    <div className="panel-header">
                        <h5>Bar chart</h5>
                    </div>
                    <div className="panel-body">
                        <div id="barChart">
                            <BarChartComponent/>
                        </div>
                    </div>
                </div>
            </div>
            <div className="col-lg-6">
                <div className="panel chart-panel-1">
                    <div className="panel-header">
                        <h5>Mixed chart</h5>
                    </div>
                    <div className="panel-body">
                        <div id="mixedChart">
                            <MixedChartComponent/>
                        </div>
                    </div>
                </div>
            </div>
            <div className="col-lg-6">
                <div className="panel chart-panel-1">
                    <div className="panel-header">
                        <h5>Scatter Chart</h5>
                    </div>
                    <div className="panel-body">
                        <div id="scatterChart">
                            <ScatterChartComponent/>
                        </div>
                    </div>
                </div>
            </div>
            <div className="col-lg-6">
                <div className="panel chart-panel-1">
                    <div className="panel-header">
                        <h5>Bubble Chart</h5>
                    </div>
                    <div className="panel-body">
                        <div id="bubbleChart">
                            <BubbleChartComponent/>
                        </div>
                    </div>
                </div>
            </div>
            <div className="col-lg-6">
                <div className="panel chart-panel-1">
                    <div className="panel-header">
                        <h5>Multiple Y Axis Scatter Chart</h5>
                    </div>
                    <div className="panel-body">
                        <div id="multipleYAxesScatterChartChart">
                            <MultipleYAxesScatterChartComponent/>
                        </div>
                    </div>
                </div>
            </div>
            <div className="col-lg-6">
                <div className="panel chart-panel-1">
                    <div className="panel-header">
                        <h5>Scatter Chart With Cells</h5>
                    </div>
                    <div className="panel-body">
                        <div id="scatterChartWithCells">
                            <ScatterChartWithCells/>
                        </div>
                    </div>
                </div>
            </div>
            <div className="col-lg-6">
                <div className="panel chart-panel-1">
                    <div className="panel-header">
                        <h5>Two Level Pie Chart</h5>
                    </div>
                    <div className="panel-body">
                        <div id="twoLevelPieChart">
                            <TwoLevelPieChart/>
                        </div>
                    </div>
                </div>
            </div>
            <div className="col-lg-6">
                <div className="panel chart-panel-1">
                    <div className="panel-header">
                        <h5>Two Simple Pie Chart</h5>
                    </div>
                    <div className="panel-body">
                        <div id="twoSimplePieChart">
                            <TwoSimplePieChart/>
                        </div>
                    </div>
                </div>
            </div>
            <div className="col-lg-6">
                <div className="panel chart-panel-2">
                    <div className="panel-header">
                        <h5>Simple Radar Chart</h5>
                    </div>
                    <div className="panel-body">
                        <div id="simpleRadarChart">
                            <SimpleRadarChart/>
                        </div>
                    </div>
                </div>
            </div>
            <div className="col-lg-6">
                <div className="panel">
                    <div className="panel-header">
                        <h5>Simple Radial Bar Chart</h5>
                    </div>
                    <div className="panel-body">
                        <div id="simpleRadialBarChart">
                            <SimpleRadialBarChart/>
                        </div>
                    </div>
                </div>
            </div>
            <div className="col-lg-6">
                <div className="panel">
                    <div className="panel-header">
                        <h5>Simple Treemap Chart</h5>
                    </div>
                    <div className="panel-body">
                        <div id="simpleTreemapChart">
                            <SimpleTreemap/>
                        </div>
                    </div>
                </div>
            </div>
            <div className="col-lg-6">
                <div className="panel">
                    <div className="panel-header">
                        <h5>Custom Content Of Tooltip Chart</h5>
                    </div>
                    <div className="panel-body pb-0">
                        <div id="customContentOfTooltipChart">
                            <CustomContentOfTooltip/>
                        </div>
                    </div>
                </div>
            </div>
            <div className="col-lg-6">
                <div className="panel">
                    <div className="panel-header">
                        <h5>Legend Effect Opacity Chart</h5>
                    </div>
                    <div className="panel-body">
                        <div id="legendEffectOpacity">
                            <LegendEffectChartComponent/>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <Footer/>
    </div>
    </>
  )
}

export default ChartsMainContent