import React from 'react'
import Footer from '../components/footer/Footer'
import ChatSlider from '../components/slider/ChatSlider'
import MessageList from '../components/chat/MessageList'
import ChatingArea from '../components/chat/ChatingArea'
import ChatSidebar from '../components/chat/ChatSidebar'
import Head from 'next/head'

const ChatMainContent = () => {
  return (
    <>
    <Head>
      <title>Digiboard - Chat</title>
      <meta name="description" content="Generated by create next app" />
      <meta name="viewport" content="width=device-width, initial-scale=1" />
      <link rel="icon" href="assets/favicon.png" />
    </Head>
    <div className="main-content">
        <div className="chatting-panel">
            <div className="d-flex">
                <div className="panel border-end rounded-0">
                    <div className="panel-body border-bottom">
                        <ChatSlider/>
                    </div>
                    <MessageList/>
                </div>
                <div className="panel rounded-0 position-relative">
                    <ChatingArea/>
                </div>
                <ChatSidebar/>
            </div>
        </div>

        <Footer/>
    </div>
    </>
  )
}

export default ChatMainContent