import React, { useState } from 'react';
import { Tab, Nav } from 'react-bootstrap';
import Footer from '../components/footer/Footer'
import EditProfileContent from '../components/user/tab-panes/EditProfileContent'
import ChangePasswordContent from '../components/user/tab-panes/ChangePasswordContent'
import OtherSettingsContent from '../components/user/tab-panes/OtherSettingsContent'
import Head from 'next/head';
import DashboardBreadcrumb2 from '@/components/breadcrumb/DashboardBreadcrumb2';

const EditProfileMainContent = () => {
    const [activeTab, setActiveTab] = useState('edit');

  const handleTabChange = (tab) => {
    setActiveTab(tab);
  };
  return (
    <>
    <Head>
      <title>Digiboard - Edit Profile</title>
      <meta name="description" content="Generated by create next app" />
      <meta name="viewport" content="width=device-width, initial-scale=1" />
      <link rel="icon" href="assets/favicon.png" />
    </Head>
    <div className="main-content">
        <DashboardBreadcrumb2 title={'Edit Profile'}/>

        <div className="row">
            <div className="col-12">
                <div className="panel">
                    <div className="panel-header">
                        <Nav
                            variant="tabs"
                            activeKey={activeTab}
                            onSelect={handleTabChange}
                            className="btn-box d-flex flex-wrap gap-1"
                        >
                        <Nav.Item>
                        <Nav.Link
                            eventKey="edit"
                            className={`btn btn-sm btn-outline-primary ${
                            activeTab === 'edit' ? 'active' : ''
                            }`}
                        >
                           Edit Profile
                        </Nav.Link>
                        </Nav.Item>
                        <Nav.Item>
                        <Nav.Link
                            eventKey="change"
                            className={`btn btn-sm btn-outline-primary ${
                            activeTab === 'change' ? 'active' : ''
                            }`}
                        >
                           Change Password
                        </Nav.Link>
                        </Nav.Item>
                        <Nav.Item>
                        <Nav.Link
                            eventKey="other"
                            className={`btn btn-sm btn-outline-primary ${
                            activeTab === 'other' ? 'active' : ''
                            }`}
                        >
                           Other Settings
                        </Nav.Link>
                        </Nav.Item>
                        </Nav>
                    </div>
                    <div className="panel-body">
                        <Tab.Content className="profile-edit-tab">
                            <Tab.Pane eventKey="edit" className={`tab-pane ${activeTab === 'edit' ? 'show active' : ''}`}>
                                <EditProfileContent/>
                            </Tab.Pane>
                            <Tab.Pane eventKey="change" className={`tab-pane ${activeTab === 'change' ? 'show active' : ''}`}>
                                <ChangePasswordContent/>
                            </Tab.Pane>
                            <Tab.Pane eventKey="other" className={`tab-pane ${activeTab === 'other' ? 'show active' : ''}`}>
                                <OtherSettingsContent/>
                            </Tab.Pane>
                        </Tab.Content>
                    </div>
                </div>
            </div>
        </div>

        <Footer/>
    </div>
    </>
  )
}

export default EditProfileMainContent