import DashboardBreadcrumb from "@/components/breadcrumb/DashboardBreadcrumb";
import DashboardCards from "@/components/cards/DashboardCards";
import NewCustomer from "@/components/dashboard/NewCustomer";
import RecentOrder from "@/components/dashboard/RecentOrder";
import SalesAnalytics from "@/components/dashboard/SalesAnalytics";
import SocialVisitors from "@/components/dashboard/SocialVisitors";
import Footer from "@/components/footer/Footer";
import Head from "next/head";

export default function Home() {
  return (
    <>
    <Head>
      <title>Digiboard - eCommerce Dashboard</title>
      <meta name="description" content="Generated by create next app" />
      <meta name="viewport" content="width=device-width, initial-scale=1" />
      <link rel="icon" href="assets/favicon.png" />
    </Head>
      <div className="main-content">
        <DashboardBreadcrumb title={'eCommerce Dashboard'}/>
        <DashboardCards/>
        <div className="row">
            <SalesAnalytics/>
            <SocialVisitors/>
            <NewCustomer/>
            <RecentOrder/>
        </div>
        <Footer/>
    </div>
    </>
  )
}
