import React from 'react'
import Footer from '../components/footer/Footer'
import UserInformation from '../components/user/UserInformation'
import ViewProfileCards from '../components/cards/ViewProfileCards'
import UserActivity from '../components/user/UserActivity'
import Head from 'next/head'
import DashboardBreadcrumb2 from '@/components/breadcrumb/DashboardBreadcrumb2'

const ProfileMainContent = () => {
    return (
        <>
        <Head>
        <title>Digiboard - Profile</title>
        <meta name="description" content="Generated by create next app" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <link rel="icon" href="assets/favicon.png" />
        </Head>
        <div className="main-content" >
            <DashboardBreadcrumb2 title={"View Profile"}/>

            <div className="row g-4">
                <div className="col-md-4">
                    <UserInformation />
                </div>
                <div className="col-md-8">
                    <ViewProfileCards />
                    <UserActivity />
                </div>
            </div>

            <Footer />
        </div>
        </>
    )
}

export default ProfileMainContent