import React from 'react'
import Footer from '../components/footer/Footer'

const UtilityMainContent = () => {
  return (
    <div className="main-content">
        <div className="row">
            <div className="col-12">
                <div className="panel">
                    <div className="panel-header">
                        <h5>Borders</h5>
                    </div>
                    <div className="panel-body">
                        <p className="fs-14 pb-1 mb-10">Use border utilities to add or remove an element’s borders. Choose from all borders or one at a time.</p>
                        <div className="row">
                            <div className="col-12">
                                <h5 className="fs-14">Border Width</h5>
                                <div className="d-flex flex-wrap gap-3">
                                    <div>
                                        <div className="utility-box border border-1"></div>
                                        <code>.border.border-1</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-2"></div>
                                        <code>.border.border-2</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-3"></div>
                                        <code>.border.border-3</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-4"></div>
                                        <code>.border.border-4</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-5"></div>
                                        <code>.border.border-5</code>
                                    </div>
                                </div>
                            </div>
                            <div className="col-md-6">
                                <h5 className="fs-14">Additive</h5>
                                <div className="d-flex flex-wrap gap-3">
                                    <div>
                                        <div className="utility-box border border-primary"></div>
                                        <code>.border</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border-top border-primary"></div>
                                        <code>.border-top</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border-end border-primary"></div>
                                        <code>.border-end</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border-bottom border-primary"></div>
                                        <code>.border-bottom</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border-start border-primary"></div>
                                        <code>.border-start</code>
                                    </div>
                                </div>
                            </div>
                            <div className="col-md-6">
                                <h5 className="fs-14">Subtractive</h5>
                                <div className="d-flex flex-wrap gap-3">
                                    <div>
                                        <div className="utility-box border border-0 border-primary"></div>
                                        <code>.border-0</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-top-0 border-primary"></div>
                                        <code>.border-top-0</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-end-0 border-primary"></div>
                                        <code>.border-end-0</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-bottom-0 border-primary"></div>
                                        <code>.border-bottom-0</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-start-0 border-primary"></div>
                                        <code>.border-start-0</code>
                                    </div>
                                </div>
                            </div>
                            <div className="col-12">
                                <h5 className="fs-14">Border Color</h5>
                                <div className="d-flex flex-wrap gap-3">
                                    <div>
                                        <div className="utility-box border border-primary"></div>
                                        <code>.border-primary</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-primary-subtle"></div>
                                        <code>.border-primary-subtle</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-secondary"></div>
                                        <code>.border-secondary</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-secondary-subtle"></div>
                                        <code>.border-secondary-subtle</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-success"></div>
                                        <code>.border-success</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-success-subtle"></div>
                                        <code>.border-success-subtle</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-danger"></div>
                                        <code>.border-danger</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-danger-subtle"></div>
                                        <code>.border-danger-subtle</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-warning"></div>
                                        <code>.border-warning</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-warning-subtle"></div>
                                        <code>.border-warning-subtle</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-info"></div>
                                        <code>.border-info</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-info-subtle"></div>
                                        <code>.border-info-subtle</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-light"></div>
                                        <code>.border-light</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-light-subtle"></div>
                                        <code>.border-light-subtle</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-dark"></div>
                                        <code>.border-dark</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-dark-subtle"></div>
                                        <code>.border-dark-subtle</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-white"></div>
                                        <code>.border-white</code>
                                    </div>
                                </div>
                            </div>
                            <div className="col-md-6">
                                <h5 className="fs-14">Border Style</h5>
                                <div className="d-flex flex-wrap gap-3">
                                    <div>
                                        <div className="utility-box border border-dotted border-primary"></div>
                                        <code>.border-dotted</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-dashed border-primary"></div>
                                        <code>.border-dashed</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-groove border-primary"></div>
                                        <code>.border-groove</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-outset border-primary"></div>
                                        <code>.border-outset</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-ridge border-primary"></div>
                                        <code>.border-ridge</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-inset border-primary"></div>
                                        <code>.border-inset</code>
                                    </div>
                                </div>
                            </div>
                            <div className="col-md-6">
                                <h5 className="fs-14">Additive</h5>
                                <div className="d-flex flex-wrap gap-3">
                                    <div>
                                        <div className="utility-box border border-top-dotted border-primary"></div>
                                        <code>.border-top-dotted</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-end-dotted border-primary"></div>
                                        <code>.border-end-dotted</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-bottom-dotted border-primary"></div>
                                        <code>.border-bottom-dotted</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-start-dotted border-primary"></div>
                                        <code>.border-start-dotted</code>
                                    </div>
                                </div>
                            </div>
                            <div className="col-md-6">
                                <h5 className="fs-14">Border Opacity</h5>
                                <div className="d-flex flex-wrap gap-3">
                                    <div>
                                        <div className="utility-box border border-opacity-10 border-success"></div>
                                        <code>.border-opacity-10</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-opacity-25 border-success"></div>
                                        <code>.border-opacity-25</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-opacity-50 border-success"></div>
                                        <code>.border-opacity-50</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-opacity-75 border-success"></div>
                                        <code>.border-opacity-75</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border border-opacity-100 border-success"></div>
                                        <code>.border-opacity-100</code>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div className="col-12">
                <div className="panel">
                    <div className="panel-header">
                        <h5>Border Radius</h5>
                    </div>
                    <div className="panel-body">
                        <div className="row g-3">
                            <div className="col-12">
                                <p className="fs-14 pb-1 mb-10">Use below-mentioned className to an element to easily round its corners.</p>
                                <div className="d-flex flex-wrap gap-3">
                                    <div>
                                        <div className="utility-box border rounded border-danger"></div>
                                        <code>.rounded</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border rounded-top border-danger"></div>
                                        <code>.rounded-top</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border rounded-end border-danger"></div>
                                        <code>.rounded-end</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border rounded-bottom border-danger"></div>
                                        <code>.rounded-bottom</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border rounded-start border-danger"></div>
                                        <code>.rounded-start</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border rounded-circle border-danger"></div>
                                        <code>.rounded-circle</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border rounded-pill border-danger px-5"></div>
                                        <code>.rounded-pill</code>
                                    </div>
                                </div>
                            </div>
                            <div className="col-12">
                                <h5 className="fs-14">Sizes</h5>
                                <div className="d-flex flex-wrap gap-3">
                                    <div>
                                        <div className="utility-box border rounded-0 border-warning"></div>
                                        <code>.rounded-0</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border rounded-1 border-warning"></div>
                                        <code>.rounded-1</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border rounded-2 border-warning"></div>
                                        <code>.rounded-2</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border rounded-3 border-warning"></div>
                                        <code>.rounded-3</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border rounded-4 border-warning"></div>
                                        <code>.rounded-4</code>
                                    </div>
                                    <div>
                                        <div className="utility-box border rounded-5 border-warning"></div>
                                        <code>.rounded-5</code>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <Footer/>
    </div>
  )
}

export default UtilityMainContent